@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,700|Rubik:400,500');

/* overlay de loading */
#back-loader
{
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(3px);
    z-index: 999999999;
}

#back-loader #loader
{
    position: relative;
    top: 45%;
    left: 45%;
}

/*********** Surcharge Glyphicons ***********/

a:not([href]):not([tabindex]).glyphicon-trash,
a:not([tabindex]).glyphicon-edit,
a:not([href]):not([tabindex]).glyphicon-eye-open{
    text-decoration: none;
    color: #FFFFFF;
    cursor: pointer;
}
body{
    margin-left:0
}
.navbar-fixed-top {
    position: fixed;
    top: 0px;
    left:0px;
    width:100%;
    z-index:10;
}
body>.section {
    margin-top: 68px;
}

.project-logo{
  width : 75%
}

.titre-page {
    font-family: Rubik;
    color : #2991CA;
    font-weight: 500;
    text-transform: uppercase;
}
.titre-classeur {
    font-family: Rubik;
    color : #2991CA;
    font-weight: 500;
    text-transform: uppercase;
}
.fil-ariane {
    color : rgba(37, 37, 37, 0.5);
}
.fil-ariane-separator {
    font-size: 1rem;
    color: #007bff;
    font-weight: bold;
}

.btn-right {
   float: right;
    margin-left: 1%;
}

.btn-xs {
    padding: 2px 10px 2px 10px;
    font-size: 12px;
}

.btn-blue {
    background: #0091FF;
    color: white;
    font-weight: bold;
    border-bottom: 2px solid #1565c0
}
.btn-green {
    background: #5F9625;
    color: white;
    font-weight: bold;
    border-bottom: 2px solid #1b5e20
}
.btn-purple {
    background: #6236FF;
    color: white;
    font-weight: bold;
    border-bottom: 2px solid #311b92
}
/*********** text color ********/
.text-light-gray {
    color: lightgray !important;
}

/*********** font-size *********/
.fs-0 {
    font-size: 12px !important;
}
.fs-1 {
    font-size: 16px !important;
}
.fs-2 {
    font-size: 20px !important;
}
.fs-lg-3 {
    font-size: 60px !important;
}

/********** position absolute **/
.t-3 {
    top: 30% !important;
}
.t-0 {
    top: -50px !important;
}
.r-0 {
    right: 0% !important;
}
.l-4 {
    left:40% !important;
}
.l-4-5 {
    left:45% !important;
}
.l-5 {
    left:50% !important;
}


/*********** navbar ***********/
.navbar-light .nav-link.link-ehesp {
    font-family: Rubik;
    color: #5a8dee;
}
.nav-espace-left {
    margin-left: 2em;
}

/*********** Bouton de recherche ***********/
.btn-search {
    padding-left: 1em !important;
    padding-right: 3em !important;
    margin-right: 1em;
    text-align: left;
}
.navbar-light .navbar-nav .nav-link.btn-search {
    color: black;
}
.navbar-light .navbar-nav .nav-link.btn-search:hover {
    color: white;
}
.valid-search {
    background-color: #f2f2f2;
}

.btn-search span {
    position:relative;
    left:0px;
    padding-right: 10px;
    vertical-align: middle;
}

#fields-search-renvoi, #fields-search, .recap-renvoi, #lien-web {
    margin-top: 1em;
    width: 100%;
    border: 1px solid #CCCCCC;
    border-radius: 1em;
    background-color: #F8F9FA;
    padding: 1em 2em;
    margin-right: auto;
    margin-left: auto;
}

#lien-web {
    width: 50%;
}

.recap-renvoi {
    padding-left: 1em;
    padding-right: 1em;
}

#fields-search {
    position: relative;
    z-index: 99999999;
    width: 50%;
    margin-bottom: 1em;
}

.title-search {
    font-size: 2em;
    margin-bottom: 0.5em;
}

.navbar.navbar-expand-lg{
    z-index: 2;
    position: fixed;
    top: 0;
    width: 100%;
    left:0;
}
#add_ouvrage, #edit_ouvrage{

}

.back-calc {
    position: absolute;
    left: 0px;
    z-index: 5000;
    width: 100%;
    height: 100%;
}

/**
 * table dashboard
 */
table.table-db tr:nth-child(n+2) td:nth-child(1){
    padding-top: 0px;
    padding-bottom: 0px;
}
table tr:nth-child(n+2) td div.td-tree{
    border-left: 1px solid #dee2e6;
    padding-left: 1%;
    padding-top: 16px;
    padding-bottom: 16px;
    height:100%;
    width: 100%;
    display:block;
    overflow: auto;
}


table tr.tr-lvl-1 td:nth-child(1){
    padding-left: 3%;
}

table tr.tr-lvl-2 td:nth-child(1){
    padding-left: 6%;
}
table tr.tr-lvl-3 td:nth-child(1){
    padding-left: 9%;
}

table tr.tr-lvl-4 td:nth-child(1){
    padding-left: 12%;
}
table tr.tr-lvl-5 td:nth-child(1){
    padding-left: 15%;
}
table tr.tr-lvl-6 td:nth-child(1){
    padding-left: 18%;
}
table tr.tr-lvl-7 td:nth-child(1){
    padding-left: 21%;
}
table tr.tr-lvl-8 td:nth-child(1){
    padding-left: 24%;
}
table tr.tr-lvl-9 td:nth-child(1){
    padding-left: 27%;
}
table tr.tr-lvl-10 td:nth-child(1){
    padding-left: 30%;
    border-left: 1px solid black
}

#table-generation {
    overflow: auto;
    max-height: 400px;
    width: 100% !important;
}

/**
 * width
 */
.w-5{
    width: 5% !important;
}
.w-10{
    width: 10% !important;
}
.w-15{
    width: 15% !important;
}


.choice label {
    border: 1px solid #aaa;
    width: 325px;
    padding : 3px;
    border-radius: 0.25rem;
}
.modal-add-brick-contenu .modal-body {
    padding: 30px 25px !important;
    background: rgba(215, 215, 215, 0.15);
}
.stitre, .compField{
    padding-right: 10px !important;
    padding-left: 10px !important;
}

/**
 * box pour les listings
 */
div.box-k {
    border: 1px solid #f1f1f1;
    margin-top: 10px;
    padding: 10px 10px 5px 25px;
    background: #F8F9FA
}
div.box-k ul {
   list-style-type: circle;
}

div.navigation .page-link {
    display: inline !important;
    border:none;
    font-weight: 500;
    padding:5px 5px 0px 10px;
    color: #2F3133;
}
div.navigation .page-link.active{
    color: #0192FF
}
div.navigation .page-link:hover{
    background: none
}
div.box-k-empty {
    border: 1px dashed #5AAAFF;
    margin-top: 10px;
    padding: 10px 10px 5px 25px;
}
div.groupe{
    text-overflow: ellipsis;
    overflow:hidden;
    height:48px;
    white-space: nowrap;
}
select.key-select + .select2-container {
    width:100% !important;
}
select.key-select + .select2-container .select2-selection {
    border: 2px dashed #aaa
}

.d-key {
    margin-top: 10px
}

/** Tableau bootstrap -- Dashboard **/
.container-fluid.dashboard .bootstrap-table {
    width: 100%;
}

.center{
    padding-left: 84px
}

/*
Gestion note des items
 */
.encapsulate-text
{
    border: 1px solid #ced4da;
    border-radius: 0rem .5rem .5rem 0rem;
    background-color: #f0f0f0;
}

/* liste des profils dans la page de gestion des utilisateurs */
#utilisateur_list .list-profil
{
    overflow-y: auto;
    height: 100px;
}

#utilisateur_list .list-profil label
{
    display: block;
    text-align: left;
}

.no-pointer
{
    cursor: default;
}

.dropdown-menu:empty
{
    display: none !important;
    background-color: red;
}

/* Context Menu */
.context-menu-icon-active-brick:before {
    font-family: FontAwesome !important;
    content: "\f06e";
}

.context-menu-icon-desactive-brick:before {
    font-family: FontAwesome !important;
    content: "\f070";
}

/* brique désactivé */

/* pour le display central dans ouvrage */
.page-ouvrage .brique-central.desactive .valeurContenu:not(.editionEnCours),
.page-ouvrage .brique-central.desactive .contenu-footer-note,
.page-ouvrage .brique-central.desactive .indexation
{
    opacity: 0.5;
}

.page-ouvrage .brique-central.desactive
{
    border: 1px dashed gray;
}

/* pour le display left menu déroulant de ouvrage */
.brique-gauche.desactive
{
    opacity: 0.5;
}

/* pour le display central de la page structure */
.page-structure .brique-central.desactive
{
    opacity: 0.5;
}

/* Modal custom error */
.modal-custom-error
{
    color: red;
    font-weight: bold;
}

.modal-custom-error ul
{
    list-style-type: none;
}

.modal-custom-error li
{
    list-style-type: '- ';
}